Update: JBoss Tools 3.3 M2 have been released that targets/supports Eclipse 3.7 making this blog out-of-date!

In about 24 hours or so Eclipse Indigo are going to push out their Indigo release train and its many users will bring all the Eclipse mirrors to a halt for the coming days.


The yearly release of Eclipse always generates alot of questions concerning if JBoss Tools will run on the latest and greatest version just released and i'm writing this blog so those that go look will have an answer.


The short answer is that you can use JBoss Tools 3.3.0.M1 release with Eclipse 3.7M6, last minute API changes makes it so you will see errors

if you try run M1 on Eclipse 3.7 final. If you really really want to to use Eclipse 3.7 final you can use our nightly build updatesite on your own risk but I do recommend you wait until we have JBoss Tools 3.3.0.M2.


We were planning on releasing on the same date as Indigo, but we have hit a few speedbumps on the last weeks of release lockdown making it so we will miss the Indigo release train.


The speed bumps is the release of JBoss AS 7 release candidate to be sure our new AS 7 Server adapter integration will work smoothly and we needed to implement a workaround for a hard-to-track regression issue with Eclipse SWT and XulRunner which causes crashes on newer Linux distributions.


We expect to have these fixed this week and expect to release JBoss Tools 3.3.0.M2 shortly there after.


I'll update this blog when release details becomes available.


Have fun!